<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
RecnoDatabaseConfig..::.Delimiter Property
RecnoDatabaseConfig Class See Also

The delimiting byte used to mark the end of a record in BackingFile.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public int Delimiter { get; set; }

Visual Basic (Declaration)

    Public Property Delimiter As Integer

Visual C++

    public:
    property int Delimiter {
    	int get ();
    	void set (int value);
    }

# Remarks

This byte is used for variable length records if BackingFile is set. If BackingFile is specified and no delimiting byte was specified, newline characters (that is, ASCII 0x0a) are interpreted as end-of-record markers.

If the database already exists, this setting will be ignored.

# See Also

RecnoDatabaseConfig Class
BerkeleyDB Namespace